com.smartgwt.client.types

## Enum ExportDisplay

- java.lang.Object
- - java.lang.Enum<ExportDisplay>
  - - com.smartgwt.client.types.ExportDisplay

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ExportDisplay>

      public enum ExportDisplay
      extends java.lang.Enum<ExportDisplay>
      implements ValueEnum

  Method to use for displaying the exported data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWNLOAD` Show the Save As dialog and download the file
    `RETURN` Return the data for further programmatic processing in the browser
    `WINDOW` Show the data in a new browser window

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ExportDisplay` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExportDisplay[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOWNLOAD

          public static final ExportDisplay DOWNLOAD

      Show the Save As dialog and download the file

    - #### WINDOW

          public static final ExportDisplay WINDOW

      Show the data in a new browser window

    - #### RETURN

          public static final ExportDisplay RETURN

      Return the data for further programmatic processing in the browser

  - ### Method Detail

    - #### values

          public static ExportDisplay[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExportDisplay c : ExportDisplay.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExportDisplay valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`